require "import"
import "android.content.Context"
import "android.os.Vibrator"
import "android.media.AudioManager"
import "android.webkit.WebView"
import "android.webkit.WebViewClient"
import "android.widget.*"
import "com.androlua.*"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(50)

if _G.radioPlaying == nil then
    _G.radioPlaying = false
end

if not _G.radioPlaying then
    _G.web = WebView(context)
    _G.web.getSettings().setJavaScriptEnabled(true)  -- Habilitar JavaScript

    _G.web.setWebViewClient(WebViewClient())

    layout = {
      LinearLayout,
      orientation = LinearLayout.VERTICAL,
      {
        TextView,
        text = "Radio aquí Suena la Ke Buena",
        textSize = "20sp",
        gravity = "center",
        padding = "16dp",
      },
      {
        FrameLayout,
        layout_width = "fill",
        layout_height = "fill",
        {
          WebView,
          id = "web",
          layout_width = "fill",
          layout_height = "fill"
        }
      }
    }

    dlg = LuaDialog(service)
    dlg.View = loadlayout(layout)
    _G.web.loadUrl("https://playerservices.streamtheworld.com/api/livestream-redirect/KEBUENA_SC")
dlg.setButton("Salir del plugin o complemento", nil)
    dlg.show()
    _G.radioPlaying = true

else
    _G.web.destroy()
    if activity then
        activity.setContentView(nil)
    end
    _G.radioPlaying = false
end

return true